%define section   free
%define base_name easymockclassextension

Name:           %{base_name}2
Version:        2.0
Release:	0.pr.2%{?dist}
Epoch:          0
Summary:        EasyMock class extension

Group:          Development/Libraries/Java
License:        MIT
URL:            http://www.easymock.org/
Source0:        easymockclassextension2.0_Pre-Release.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  cglib
BuildRequires:  easymock2
Requires:  java >= 0:1.5.0
Requires:  cglib
Requires:  easymock2

%description
This extension allows generating Mock Objects for classes. 
It has been contributed by Joel Shellman, Henri Tremblay 
and Chad Woolley. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -n %{base_name}%{version}_Pre-Release
mkdir classes
mkdir src
pushd src
unzip ../src.zip
popd

%build
export JAVA_HOME=/usr/lib/jvm/java-1.5.0
export CLASSPATH=$(build-classpath \
cglib \
easymock2 \
)
$JAVA_HOME/bin/javac -sourcepath src -d classes \
	src/org/easymock/classextension/MockClassControl.java
pushd classes
$JAVA_HOME/bin/jar cf ../%{name}.jar org
popd
$JAVA_HOME/bin/javadoc -d javadoc -sourcepath src org.easymock.classextension

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -pm 644 %{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc {Documentation,License}.html

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 2.0-0.pr.2
- Auto rebuild for JPackage 5 in mock

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> - 0:2.0-0.pr.1jpp
- Update to 2.0 pre release for JPP-5.0 (easymock2 requires java-1.5)

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.2-1jpp
- Update to 1.2 

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.1-2jpp
- minor fixes

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- First JPackage release
